Skip to main content

Events

Overview

A hiring Event is the other method by which advertisers can advertise their jobs on Talroo's platform. However, instead of advertising jobs for job seekers to solely apply online, Events aim to help recruiters generate RSVPs to in-person or online hiring Events. Events come with various features, like reminder messages, automatic max RSVP volume optimization, time slot RSVPing, and time slot limiting.

tip

Please consult with your Talroo POC to help determine what Event setup works best for you.

Decide which Job Pool

Before creating an Event you will need to pick which Job Pool you would like to create your Event in. You can view the Job Pools in your Job Customer with the GET /customers/me/pools endpoint. An example call to see your Job Pools is below:

curl -X 'GET' \
'https://api.talroo.com/v5/customers/me/pools?page=0&size=20' \
-H 'accept: application/json' \
-H 'Authorization: Bearer {Access Token}'
note

If you do not have a pool in your customer to create an Event under, please work with your Talroo POC to have one created. Additionally, please confirm with your Talroo POC which pool should be used for Event creation.

Create Event

Once you have your Pool Id that you would like to create your new Event under, you can use the POST /pools/{poolId}/campaigns endpoint to create your new Event. Within the Job Campaign object, Events are denoted with the adType value of "EVENT".

The following example request to the POST /pools/{poolId}/campaigns endpoint would create a new Event Job Campaign under the Job Pool with Id:1234 with the name "New Test Event":

curl -X 'POST' \ 'https://api.talroo.com/v5/pools/1234/campaigns' \ 
-H 'accept: application/json' \
-H 'Authorization: Bearer {accessToken}' \
-H 'Content-Type: application/json' \
-d '{
"name": "New Test Event",
"adType": "EVENT"
}'
note

It is the adType value of "EVENT" that designates this Job Campaign object as an Event.

Event Statuses

Because Events utilize the Job Campaign object, they too have statuses found in the jobCampaign.status field. The different Event statuses can be seen below:

  • UNDER_DEVELOPMENT: This is the status Events will have only after they are initially created and before they are either launched or archived. After an Event leaves the UNDER_DEVELOPMENT status, it cannot return to the UNDER_DEVELOPMENT status.
  • LIVE: This status indicates an Event is live within the Talroo Marketplace. Jobs in this Event (that are not in Segments with a nonlive Status) will be live and able to receive traffic. Events are set to the LIVE status when:
    • they are launched with the POST /campaigns/{campaignId}/launch endpoint
    • they have a One Time Budget with launchOnStart set to true which will set them LIVE as soon as the One Time Budget period starts.
  • PAUSED: This status indicates an Event has been manually paused by either a scheduled paused or a direct pause using the POST /campaigns/{campaignId}/pause endpoint. Jobs in a paused Event are not advertised on the Talroo Marketplace and will not receive traffic.
  • OUT_OF_BUDGET: This status indicates an Event has depleted its budget. Jobs in an OUT_OF_BUDGET Event are not advertised on the Talroo Marketplace and will not receive traffic.
  • ARCHIVED: This status indicates an Event has been manually archived with the POST /campaigns/{campaignId}/archive endpoint. Once an Event is archived, it cannot be unarchived.